--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -12720,29 +14635,52 @@
 		103c 1367  BCM4321 802.11a/b/g/n Wireless LAN Controller
 		103c 1368  BCM4321 802.11a/b/g/n Wireless LAN Controller
 		103c 1369  BCM4321 802.11a/b/g/n Wireless LAN Controller
+		106b 0087  AirPort Extreme
+		106b 0088  AirPort Extreme
+		106b 008b  AirPort Extreme
+		106b 008c  AirPort Extreme
+		106b 0090  AirPort Extreme
 		14e4 4328  BCM4328 802.11a/b/g/n
 		1737 0066  WPC600N v1 802.11a/b/g/n Wireless-N CardBus Adapter
 		1737 0068  WEC600N v1 802.11a/b/g/n Wireless-N ExpressCard
 	4329  BCM4321 802.11b/g/n
+		1385 7b00  WN511B RangeMax NEXT Wireless Notebook Adapter
 		1385 7d00  WN311B RangeMax Next 270 Mbps Wireless PCI Adapter
 		1737 0058  WPC300N v1 Wireless-N Notebook Adapter
 	432a  BCM4321 802.11an Wireless Network Controller
 	432b  BCM4322 802.11a/b/g/n Wireless LAN Controller
 		1028 000d  Wireless 1510 Wireless-N WLAN Mini-Card
+		106b 008d  AirPort Extreme
+		106b 008e  AirPort Extreme
 	432c  BCM4322 802.11b/g/n
 		1799 d311  Dynex DX-NNBX 802.11n WLAN Cardbus Card
 	432d  BCM4322 802.11an Wireless Network Controller
 	4331  BCM4331 802.11a/b/g/n
 		106b 00d6  AirPort Extreme
+		106b 00e4  AirPort Extreme
+		106b 00ef  AirPort Extreme
+		106b 00f4  AirPort Extreme
+		106b 00f5  AirPort Extreme
+		106b 010e  AirPort Extreme
+		106b 010f  AirPort Extreme
+	4333  Serial (EDGE/GPRS modem part of Option GT Combo Edge)
 	4344  EDGE/GPRS data and 802.11b/g combo cardbus [GC89]
+	4350  BCM43222 Wireless Network Adapter
 	4353  BCM43224 802.11a/b/g/n
 		1028 000e  Wireless 1520 Half-size Mini PCIe Card
 		103c 1509  WMIB-275N Half-size Mini PCIe Card
+		106b 0093  AirPort Extreme
+		106b 00d1  AirPort Extreme
+		106b 00e9  AirPort Extreme
 	4357  BCM43225 802.11b/g/n
 		105b e021  T77H103.00 Wireless Half-size Mini PCIe Card
 	4358  BCM43227 802.11b/g/n
 	4359  BCM43228 802.11a/b/g/n
 		1028 0011  Wireless 1530 Half-size Mini PCIe Card
+		103c 182c  BCM943228HM4L 802.11a/b/g/n 2x2 Wi-Fi Adapter
+	4365  BCM43142 802.11b/g/n
+		1028 0016  Wireless 1704 802.11n + BT 4.0
+	43b1  BCM4352 802.11ac Wireless Network Adapter
 	4401  BCM4401 100Base-T
 		1025 0035  TravelMate 660
 		103c 08b0  tc1100 tablet
@@ -12799,7 +14737,12 @@
 	5840  BCM5840 Crypto Accelerator
 	5841  BCM5841 Crypto Accelerator
 	5850  BCM5850 Crypto Accelerator
+	8602  BCM7400/BCM7405 Serial ATA Controller
+	a8d8  BCM43224/5 Wireless Network Adapter
+	b302  BCM56302 StrataXGS 24x1GE 2x10GE Switch Controller
+	b334  BCM56334 StrataXGS 24x1GE 4x10GE Switch Controller
 	b800  BCM56800 StrataXGS 10GE Switch Controller
+	b842  BCM56842 Trident 10GE Switch Controller
 14e5  Pixelfusion Ltd
 14e6  SHINING Technology Inc
 14e7  3CX
@@ -12952,8 +14895,6 @@
 	2464  HSF 56k Data/Fax/Voice Modem (Mob SmartDAA)
 	2465  HSF 56k Data/Fax/Voice/Spkp (w/HS) Modem (Mob SmartDAA)
 	2466  HSF 56k Data/Fax/Voice/Spkp Modem (Mob SmartDAA)
-	2bfa  D110 HDAudio Soft Data Fax Modem with SmartCP
-		1025 0009  Aspire 5622WLMi
 	2f00  HSF 56k HSFi Modem
 		13e0 8d84  IBM HSFi V.90
 		13e0 8d85  Compaq Stinger
@@ -12966,16 +14907,15 @@
 	2f30  SoftV92 SpeakerPhone SoftRing Modem with SmartSP
 		14f1 2014  Devolo MikroLink 56K Modem PCI
 	2f50  Conexant SoftK56 Data/Fax Modem
-	5045  CX20549 (Venice)
-	5047  High Definition Audio [Waikiki]
-	5051  High Definition Audio (HERMOSA)
 	5b7a  CX23418 Single-Chip MPEG-2 Encoder with Integrated Analog Video/Broadcast Audio Decoder
 		0070 7444  WinTV HVR-1600
+		107d 6f34  WinFast DVR3100 H
 		5854 3343  GoTView PCI DVD3 Hybrid
 	8200  CX25850
 	8234  RS8234 ATM SAR Controller [ServiceSAR Plus]
 	8800  CX23880/1/2/3 PCI Video and Audio Decoder
 		0070 2801  Hauppauge WinTV 28xxx (Roslyn) models
+		0070 3400  WinTV 34604
 		0070 3401  Hauppauge WinTV 34xxx models
 		0070 6902  WinTV HVR-4000-HD
 		0070 7801  WinTV HVR-1800 MCE
@@ -13053,6 +14993,7 @@
 		0070 9402  WinTV-HVR1100 DVB-T/Hybrid
 		7063 5500  pcHDTV HD-5500
 	8811  CX23880/1/2/3 PCI Video and Audio Decoder [Audio Port]
+		0070 3400  WinTV 34604
 		0070 3401  Hauppauge WinTV 34xxx models
 		0070 6902  WinTV HVR-4000-HD
 		0070 9402  WinTV-HVR1100 DVB-T/Hybrid
@@ -13065,7 +15006,9 @@
 		5654 2388  GoTView PCI Hybrid Audio Capture Device
 	8852  CX23885 PCI Video and Audio Decoder
 		0070 8010  Hauppauge WinTV HVR-1400 ExpressCard
+		107d 6f22  WinFast PxTV1200
 		1461 c039  AVerTV Hybrid Express (A577)
+		153b 117e  Cinergy T PCIe Dual
 		18ac db78  FusionHDTV DVB-T Dual Express
 	8880  CX23887/8 PCIe Broadcast Audio and Video Decoder with 3D Comb
 		0070 c108  WinTV-HVR-4400-HD model 1278
@@ -13252,7 +15195,6 @@
 	9260  RCIM-II Real-Time Clock & Interrupt Module
 1543  SILICON Laboratories
 	3052  Intel 537 [Winmodem]
-	3155  Motorola SM56 Speakerphone Modem
 	4c22  Si3036 MC'97 DAA
 1544  DCM DATA Systems
 1545  VISIONTEK
@@ -13402,12 +15344,14 @@
 	0740  Virtual Machine Communication Interface
 	0770  USB2 EHCI Controller
 	0774  USB1.1 UHCI Controller
+	0778  USB3 xHCI Controller
 	0790  PCI bridge
 	07a0  PCI Express Root Port
 	07b0  VMXNET3 Ethernet Controller
 	07c0  PVSCSI SCSI Controller
 	0801  Virtual Machine Interface
 		15ad 0800  Hypervisor ROM Interface
+	1977  HD Audio Controller
 15ae  Amersham Pharmacia Biotech
 15b0  Zoltrix International Ltd
 15b1  Source Technology Inc
@@ -13415,13 +15359,14 @@
 15b3  Mellanox Technologies
 	0191  MT25408 [ConnectX IB Flash Recovery]
 	01f6  MT27500 Family [ConnectX-3 Flash Recovery]
+	01ff  MT27600 Family [Connect-IB Flash Recovery]
 	1002  MT25400 Family [ConnectX-2 Virtual Function]
 	1003  MT27500 Family [ConnectX-3]
 	1004  MT27500 Family [ConnectX-3 Virtual Function]
 	1005  MT27510 Family
 	1006  MT27511 Family
-	1007  MT27520 Family
-	1008  MT27521 Family
+	1007  MT27520 Family [ConnectX-3 Pro]
+	1008  MT27520 Family [ConnectX-3 Pro Virtual Function]
 	1009  MT27530 Family
 	100a  MT27531 Family
 	100b  MT27540 Family
@@ -13430,6 +15375,12 @@
 	100e  MT27551 Family
 	100f  MT27560 Family
 	1010  MT27561 Family
+	1011  MT27600 [Connect-IB]
+	1012  MT27600 Family [Connect-IB Virtual Function]
+	1013  MT27620 Family
+	1014  MT27621 Family
+	1015  MT27630 Family
+	1016  MT27631 Family
 	5274  MT21108 InfiniBridge
 	5a44  MT23108 InfiniHost
 	5a45  MT23108 [Infinihost HCA Flash Recovery]
@@ -13519,6 +15470,7 @@
 15cd  Dreamtech Co Ltd
 15ce  Genrad Inc
 15cf  Hilscher GmbH
+	0000  CIFX 50E-DP(M/S)
 15d1  Infineon Technologies AG
 15d2  FIC (First International Computer Inc)
 15d3  NDS Technologies Israel Ltd
@@ -13623,6 +15575,7 @@
 	3052  SmartLink SmartPCI562 56K Modem
 	5449  SmartPCI561 Modem
 1641  MKNet Corp.
+1642  Bitland(ShenZhen) Information Technology Co., Ltd.
 1657  Brocade Communications Systems, Inc.
 	0013  425/825/42B/82B 4Gbps/8Gbps PCIe dual port FC HBA
 		103c 1742  HP 82B 8Gbps dual port FC HBA
@@ -13636,7 +15589,7 @@
 		103c 1743  HP 81B 8Gbps single port FC HBA
 		1657 0014  415/815 4Gbps/8Gbps single port PCIe FC HBA
 	0021  804 8Gbps FC HBA for HP Bladesystem c-class
-	0022  1860 16Gbps FC HBA and/or 10Gbps CNA
+	0022  1867/1860: 16Gbps/10Gbps Fabric Adapter
 		1657 0022  10Gbps CNA - FCOE
 		1657 0023  10Gbps CNA - LL
 		1657 0024  16Gbps FC HBA
@@ -13678,7 +15631,8 @@
 1682  XFX Pine Group Inc.
 1688  CastleNet Technology Inc.
 	1170  WLAN 802.11b card
-168c  Atheros Communications Inc.
+# nee Atheros Communications, Inc.
+168c  Qualcomm Atheros
 	0007  AR5210 Wireless Network Adapter [AR5000 802.11a]
 		1737 0007  WPC54A Wireless PC Card
 		1b47 0100  Harmony 8450CN Wireless CardBus Module
@@ -13686,6 +15640,9 @@
 		8086 2501  PRO/Wireless 5000 LAN PCI Adapter Module
 	0011  AR5211 Wireless Network Adapter [AR5001A 802.11a]
 	0012  AR5211 Wireless Network Adapter [AR5001X 802.11ab]
+		1186 3a03  AirPro DWL-A650 Wireless Cardbus Adapter (rev.B)
+		1186 3a04  AirPro DWL-AB650 Multimode Wireless Cardbus Adapter
+		1186 3a05  AirPro DWL-AB520 Multimode Wireless PCI Adapter
 		126c 8031  2201 Mobile Adapter
 		1385 4400  WAB501 802.11ab Wireless CardBus Card
 		1b47 aa00  8460 802.11ab Wireless CardBus Adapter
@@ -13702,6 +15659,8 @@
 		1154 034e  Buffalo WLI-CB-AG108HP 802.11abg Cardbus Adapter
 		1186 3202  DWL-G650 (Rev B3,B5) Wireless cardbus adapter
 		1186 3203  AirPlus DWL-G520 Wireless PCI Adapter (rev. A)
+		1186 3a07  AirXpert DWL-AG650 Wireless Cardbus Adapter
+		1186 3a08  AirXpert DWL-AG520 Wireless PCI Adapter
 		1186 3a12  D-Link AirPlus DWL-G650 Wireless Cardbus Adapter(rev.C)
 		1186 3a13  AirPlus DWL-G520 Wireless PCI Adapter (rev. B)
 		1186 3a14  AirPremier AG DWL-AG530 Wireless PCI Adapter (rev.A)
@@ -13712,14 +15671,17 @@
 		1186 3a93  Conceptronic C54I Wireless 801.11g PCI card
 		1186 3a94  Conceptronic C54C 802.11g Wireless Cardbus Adapter
 		1186 3ab0  Allnet ALL0281 Wireless PCI Card
+		1385 4600  WAG511 802.11a/b/g Dual Band Wireless PC Card
+		1385 4610  WAG511 802.11a/b/g Dual Band Wireless PC Card
 		1385 4900  WG311v1 802.11g Wireless PCI Adapter
+		1385 4a00  WAG311 802.11a/g Wireless PCI Adapter
 		1385 4b00  WG511T 108 Mbps Wireless PC Card (rev.A/B)
 		1385 4d00  WG311T 108 Mbps Wireless PCI Adapter (rev.A2)
 		1385 4f00  WG511U Double 108 Mbps Wireless PC Card
 		1385 5a00  WG311T 108 Mbps Wireless PCI Adapter (rev.A3)
 		1385 5b00  WG511T 108 Mbps Wireless PC Card (rev.C)
 		1385 5d00  WPN511 RangeMax Wireless PC Card
-		1458 e911  Gigabyte GN-WIAG02
+		1458 e911  GN-WIAG02
 		1468 0403  U10H014 802.11g Cardbus Adapter
 		1468 0408  ThinkPad 11b/g Wireless LAN Mini PCI Adapter
 		14b7 0a10  8480-WD 802.11abg Cardbus Adapter
@@ -13771,6 +15733,8 @@
 		17f9 0008  DX-WGNBC 802.11bg Wireless CardBus Adapter
 		17f9 0018  DX-WGDTC 802.11bg Wireless PCI Adapter
 	001b  AR5413/AR5414 Wireless Network Adapter [AR5006X(S) 802.11abg]
+# Atheros AR5414 32-bit mini-PCI type IIIB
+		0777 1107  UB5 802.11a Wireless Mini PCI Adapter
 		0777 3002  XR2 802.11g Wireless Mini PCI Adapter
 		0777 3005  XR5 802.11a Wireless Mini PCI Adapter
 		0777 3009  XR9 900MHz Wireless Mini PCI Adapter
@@ -13792,7 +15756,7 @@
 	001c  AR242x / AR542x Wireless Network Adapter (PCI-Express)
 		0777 3006  SRX 802.11abg Wireless ExpressCard Adapter
 		103c 137a  AR5BXB63 (Foxconn) 802.11bg Mini PCIe NIC
-		106b 0086  AR5BXB6 802.11abg Wireless Mini PCIe Card
+		106b 0086  AirPort Extreme
 		144f 7106  WLL3140 (Toshiba PA3501U-1MPC) 802.11bg Wireless Mini PCIe Card
 		144f 7128  WLL3141 (Toshiba PA3613U-1MPC) 802.11bg Wireless Mini PCIe Card
 		1468 0428  AR5BXB63 802.11bg NIC
@@ -13830,18 +15794,23 @@
 		187e 3411  NWD-370N 802.11n Wireless PCI Adapter
 		1976 2008  TEW-621PC 802.11bgn Wireless CardBus Adapter
 	0024  AR5418 Wireless Network Adapter [AR5008E 802.11(a)bgn] (PCI-Express)
-		106b 0087  AR5BXB72 802.11abgn Mini PCIe Card [AR5008E-3NX]
+		106b 0087  AirPort Extreme
+		1186 3a70  DWA-556 Xtreme N PCI Express Desktop Adapter
 	0027  AR9160 Wireless Network Adapter [AR9001 802.11(a)bgn]
 		0777 4082  SR71-A 802.11abgn Wireless Mini PCI Adapter
 	0029  AR922X Wireless Network Adapter
 		0777 4005  SR71-15 802.11an Mini PCI Adapter
 		1186 3a7a  DWA-552 802.11n Xtreme N Desktop Adapter (rev A2)
+		1186 3a7d  DWA-552 802.11n Xtreme N Desktop Adapter (rev A3)
 	002a  AR928X Wireless Network Adapter (PCI-Express)
+		0777 4f05  SR71-X 802.11abgn Wireless ExpressCard Adapter [AR9280]
 		103c 3041  AR5BHB92-H 802.11abgn Wireless Half-size Mini PCIe Card [AR9280]
 		105b e006  T77H053.00 802.11bgn Wireless Mini PCIe Card [AR9281]
 		105b e01f  T77H047.31 802.11bgn Wireless Half-size Mini PCIe Card [AR9283]
+		106b 008f  AirPort Extreme
 		11ad 6600  WN6600A 802.11bgn Wireless Mini PCIe Card [AR9281]
 		144f 7141  WLL6080 802.11bgn Wireless Mini PCIe Card [AR9281]
+		168c 0203  DW1525 802.11abgn WLAN PCIe Card [AR9280]
 		1a32 0303  EM303 802.11bgn Wireless Mini PCIe Card [AR9281]
 		1a32 0306  EM306 802.11bgn Wireless Half-size Mini PCIe Card [AR9283]
 		1a3b 1067  AW-NE771 802.11bgn Wireless Mini PCIe Card [AR9281]
@@ -13852,6 +15821,7 @@
 		103c 303f  U98Z062.10 802.11bgn Wireless Half-size Mini PCIe Card
 		103c 3040  U98Z062.12 802.11bgn Wireless Half-size Mini PCIe Card
 		105b e017  T77H126.00 802.11bgn Wireless Half-size Mini PCIe Card
+		105b e023  T77H121.04 802.11bgn Wireless Half-size Mini PCIe Card
 		1113 e811  WN7811A (Toshiba PA3722U-1MPC) 802.11bgn Wireless Half-size Mini PCIe Card
 		185f 30af  DNXA-95 802.11bgn Wireless Half-size Mini PCIe Card
 		1931 0023  Option GTM67x PCIe WiFi Adapter
@@ -13862,20 +15832,27 @@
 	002c  AR2427 802.11bg Wireless Network Adapter (PCI-Express)
 	002d  AR9227 Wireless Network Adapter
 	002e  AR9287 Wireless Network Adapter (PCI-Express)
-	0030  AR9300 Wireless LAN adaptor
-		103c 1627  HB112AGN 802.11abgn 3x3 Wi-Fi Adapter
+	0030  AR93xx Wireless Network Adapter
+		103c 1627  AR9380/HB112 802.11abgn 3×3 Wi-Fi Adapter
+		106b 009a  AirPort Extreme
+		1186 3a7e  DWA-566 Wireless N 300 Dual Band PCIe Desktop Adapter
 		1a56 2000  Killer Wireless-N 1102 Half-size Mini PCIe Card [AR9382]
 		1a56 2001  Killer Wireless-N 1103 Half-size Mini PCIe Card [AR9380]
 	0032  AR9485 Wireless Network Adapter
+		103c 1838  AR9485/HB125 802.11bgn 1×1 Wi-Fi Adapter
 	0033  AR9580 Wireless Network Adapter
 	0034  AR9462 Wireless Network Adapter
+	0036  QCA9565 / AR9565 Wireless Network Adapter
+	003c  QCA988x 802.11ac Wireless Network Adapter
 	0207  AR5210 Wireless Network Adapter [AR5000 802.11a]
 	1014  AR5212 802.11abg NIC
 		1014 058a  ThinkPad 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6)
 	9013  AR5002X Wireless Network Adapter
 	ff19  AR5006X Wireless Network Adapter
 	ff1c  AR5008 Wireless Network Adapter
-	ff1d  AR5008 Wireless Network Adapter
+	ff1d  AR922x Wireless Network Adapter
+# Found in "AVM Fritz!Box FON WLAN 7270v3"
+		168c ee1c  AR9220-AC1A [AVM Fritz!Box FON WLAN 7270 v3]
 1695  EPoX Computer Co., Ltd.
 169c  Netcell Corporation
 	0044  Revolution Storage Processing Card
@@ -13903,7 +15880,19 @@
 16c9  EONIC B.V. The Netherlands
 16ca  CENATEK Inc
 	0001  Rocket Drive DL
-16cd  Densitron Technologies
+# nee Innocore Gaming Ltd., nee Densitron Gaming Ltd., a division of Densitron Technologies
+16cd  Advantech Co. Ltd
+	0101  DirectPCI SRAM for DPX-11x series
+	0102  DirectPCI SRAM for DPX-S/C/E-series
+	0103  DirectPCI ROM for DPX-11x series
+	0104  DirectPCI ROM for DPX-S/C/E-series
+	0105  DirectPCI I/O for DPX-114/DPX-115
+	0106  DirectPCI I/O for DPX-116
+	0107  DirectPCI I/O for DPX-116U
+	0108  DirectPCI I/O for DPX-117
+	0109  DirectPCI I/O for DPX-112
+	010a  DirectPCI I/O for DPX-C/E-series
+	010b  DirectPCI I/O for DPX-S series
 16ce  Roland Corp.
 16d5  Acromag, Inc.
 	0504  PMC-DX504 Reconfigurable FPGA with LVDS I/O
@@ -13956,6 +15945,10 @@
 	5807  XMC-SLX150: Reconfigurable Spartan-6 FPGA with plug-in I/O
 	5808  XMC-SLX150-1M: Reconfigurable Spartan-6 FPGA with plug-in I/O
 	5901  APCe8650 PCI Express IndustryPack Carrier Card
+	6301  XMC Module with user-configurable Virtex-6 FPGA, 240k logic cells, SFP front I/O
+	6302  XMC Module with user-configurable Virtex-6 FPGA, 365k logic cells, SFP front I/O
+	6303  XMC Module with user-configurable Virtex-6 FPGA, 240k logic cells, no front I/O
+	6304  XMC Module with user-configurable Virtex-6 FPGA, 365k logic cells, no front I/O
 16da  Advantech Co., Ltd.
 	0011  INES GPIB-PCI
 16df  PIKA Technologies Inc.
@@ -13989,10 +15982,8 @@
 	7174  VSC7174 PCI/PCI-X Serial ATA Host Bus Controller
 172a  Accelerated Encryption
 	13c8  AEP SureWare Runner 1000V3
+# nee Fujitsu Siemens Computers GmbH
 1734  Fujitsu Technology Solutions
-	1078  Amilo Pro v2010
-	1085  Celsius M450
-	1098  Amilo L 1310G
 1735  Aten International Co. Ltd.
 1737  Linksys
 	0029  WPG54G ver. 4 PCI Card
@@ -14015,7 +16006,7 @@
 	2020  XCode II Series
 	2100  XCode 2100 Series
 1749  RLX Technologies
-174b  PC Partner Limited
+174b  PC Partner Limited / Sapphire Technology
 174d  WellX Telecom SA
 175c  AudioScience Inc
 175e  Sanera Systems, Inc.
@@ -14040,6 +16031,9 @@
 	0091  Octeon II CN68XX Network Processor
 	0092  Octeon II CN65XX Network Processor
 	0093  Octeon II CN61XX Network Processor
+	0094  Octeon Fusion CNF71XX Cell processor
+	0095  Octeon III CN78XX Network Processor
+	0096  Octeon III CN70XX Network Processor
 1787  Hightech Information System Ltd.
 1789  Ennyah Technologies Corp.
 # also used by Struck Innovative Systeme for joint developments
@@ -14086,7 +16080,6 @@
 	8083  GL880 USB 1.1 UHCI controller
 	8084  GL880 USB 2.0 EHCI controller
 17aa  Lenovo
-	20b1  ThinkPad T61p
 17ab  Phillips Components
 17af  Hightech Information System Ltd.
 17b3  Hawking Technologies
@@ -14099,7 +16092,7 @@
 	0017  StorSecure 300 GZIP Compression and AES Encryption Card
 17c0  Wistron Corp.
 17c2  Newisys, Inc.
-17cb  Airgo Networks Inc
+17cb  Airgo Networks, Inc.
 	0001  AGN100 802.11 a/b/g True MIMO Wireless Card
 		1385 5c00  WGM511 Pre-N 802.11g Wireless CardBus Adapter
 		1737 0045  WMP54GX v1 802.11g Wireless-G PCI Adapter with SRX
@@ -14125,6 +16118,7 @@
 		17d3 1221  ARC-1221 8-Port PCI-Express to SATA RAID Controller
 	1300  ARC-1300ix-16 16-Port PCI-Express to SAS Non-RAID Host Adapter
 	1680  ARC-1680 8 port PCIe/PCI-X to SAS/SATA II RAID Controller
+		17d3 1212  ARC-1212 4-Port PCIe to SAS/SATA II RAID Controller
 	1880  ARC-1880 8/12 port PCIe/PCI-X to SAS/SATA II RAID Controller
 # nee Neterion Inc., previously S2io Inc.
 17d5  Exar Corp.
@@ -14168,6 +16162,7 @@
 	0011  EN2010 [c.Link] MoCA Network Controller (Coax, MPEG interface)
 	0021  EN2210 [c.Link] MoCA Network Controller (Coax)
 	0025  EN2510 [c.Link] MoCA Network Controller (Coax, PCIe interface)
+	0027  EN2710 [c.Link] MoCA 2.0 Network Controller (Coax, PCIe interface)
 17ee  Connect Components Ltd
 17f2  Albatron Corp.
 17f3  RDC Semiconductor, Inc.
@@ -14219,7 +16214,7 @@
 		1814 2560  RT2500 Wireless 802.11bg
 		182d 9073  WL-115 Wireless Network PCI Adapter
 		185f 22a0  CN-WF513 Wireless Cardbus Adapter
-		18eb 5312  Tornado 122 IEEE 802.11g PCI Card-EU
+		18eb 5312  WL531P IEEE 802.11g PCI Card-EU
 		1948 3c00  C54RC v1 Wireless 11g CardBus Adapter
 		1948 3c01  C54Ri v1 Wireless 11g PCI Adapter
 	0300  Wireless Adapter Canyon CN-WF511
@@ -14233,7 +16228,7 @@
 		1799 700e  F5D7000 v6000 Wireless G Desktop Card
 		1799 701e  F5D7010 v6000 Wireless G Notebook Card
 		17f9 0012  AWLC3026T 802.11g Wireless CardBus Adapter
-		1814 2561  EW-7108PCg
+		1814 2561  EW-7108PCg/EW-7128g
 	0302  RT2561/RT61 rev B 802.11g
 		1186 3a71  DWA-510 Wireless G Desktop Adapter
 		1186 3c08  AirPlus G DWL-G630 Wireless Cardbus Adapter (rev.E2)
@@ -14260,8 +16255,12 @@
 		13bd 1057  GN-WS32L-RH Half-size Mini PCIe Card
 	3091  RT3091 Wireless 802.11n 1T/2R PCIe
 	3092  RT3092 Wireless 802.11n 2T/2R PCIe
+	3290  RT3290 Wireless 802.11n 1T/1R PCIe
+	3298  RT3290 Bluetooth
+	3592  RT3592 Wireless 802.11abgn 2T/2R PCIe
 	5360  RT5360 Wireless 802.11n 1T/1R
 		1186 3c05  DWA-525 Wireless N 150 Desktop Adapter (rev.A2)
+		20f4 703a  TEW-703PI N150 Wireless PCI Adapter
 	5390  RT5390 Wireless 802.11n 1T/1R PCIe
 		103c 1636  U98Z077.00 Half-size Mini PCIe Card
 	539f  RT5390 [802.11 b/g/n 1T1R G-band PCI Express Single Chip]
@@ -14287,6 +16286,7 @@
 	08a8  MVC101 SDI
 	08a9  MVC102 DVI+Audio
 	08b0  MVC200-DC
+1846  Alcatel-Lucent
 1849  ASRock Incorporation
 184a  Thales Computers
 	1100  MAX II cPLD
@@ -14316,7 +16316,7 @@
 	a101  VigraWATCH PCI
 	a102  VigraWATCH PMC
 	a103  Vigra I/O
-187e  ZyXEL Communication Corporation
+187e  ZyXEL Communications Corporation
 	3403  ZyAir G-110 802.11g
 	340e  M-302 802.11g XtremeMIMO
 1885  Avvida Systems Inc.
@@ -14362,7 +16362,6 @@
 18ca  XGI Technology Inc. (eXtreme Graphics Innovation)
 	0020  Z7/Z9 (XG20 core)
 	0021  Z9s/Z9m (XG21 core)
-# duh! Device name, not my name :)
 	0027  Z11/Z11M
 	0040  Volari V3XT/V5/V8
 	0047  Volari 8300 (chip: XP10, codename: XG47)
@@ -14429,7 +16428,7 @@
 18f1  Spectrum GmbH
 18f4  Napatech A/S
 	0031  NT20X Network Adapter
-	0051  NT20-X Capture Card
+	0051  NT20X Capture Card
 	0061  NT20E Capture Card
 	0064  NT20E Inline Card
 	0071  NT4E Capture Card
@@ -14438,32 +16437,63 @@
 	0091  NT20X Capture Card [New Rev]
 	00a1  NT4E-STD Capture Card
 	00a4  NT4E-STD Inline Card
-	00c5  NT20E2 Network Adapter
+# 8 x 1 Gbps / 10 Gbps PCIe Optical Bypass Adapter
+	00b1  NTBPE Optical Bypass Adapter
+	00c5  NT20E2 Network Adapter 2x10Gb
+	00d5  NT40E2-4 Network Adapter 4x10Gb
+	00e5  NT40E2-1 Network Adapter 1x40Gb
+# 4-Port Adapter for 1 GbE In-Line Bypass Applications
+	00f5  NT4E2-4T-BP Network Adapter 4x1Gb with Electrical Bypass
+	0105  NT4E2-4-PTP Network Adapter 4x1Gb
+	0115  NT20E2-PTP Network Adapter 2x10Gb
+	0125  NT4E2-4-PTP Network Adapter 4x1Gb
+	0135  NT20E2-PTP Network Adapter 2x10Gb
 18f6  NextIO
 	1000  [Nexsis] Switch Virtual P2P PCIe Bridge
+	1001  [Texsis] Switch Virtual P2P PCIe Bridge
 	1050  [Nexsis] Switch Virtual P2P PCI Bridge
+	1051  [Texsis] Switch Virtual P2P PCI Bridge
 	2000  [Nexsis] Switch Integrated Mgmt. Endpoint
+	2001  [Texsis] Switch Integrated Mgmt. Endpoint
 18f7  Commtech, Inc.
-	0001  Fastcom ESCC-PCI-335
-	0002  Fastcom 422/4-PCI-335
-	0003  Fastcom 232/4-1M-PCI
-	0004  Fastcom 422/2-PCI-335
-	0005  Fastcom IGESCC-PCI-ISO/1
-	000a  Fastcom 232/4-PCI-335
-	000b  Fastcom 232/8-PCI-335 Async 8-Port RS-232 Serial PCI Adapter
-	000f  Fastcom FSCC
-	0010  Fastcom GSCC
-# Dual Serocco
-	0011  Fastcom QSSB
-	0014  SuperFSCC
-	0015  SuperFSCC-104
-	0016  Fastcom FSCC-232 Sync/Async 2-Port RS-232 Serial PCI Adapter (F-Core)
-	0017  SuperFSCC-104-NOUART
-	0018  Fastcom SuperFSCC/4 Sync/Async 4-Port RS-422 Serial PCI Adapter with DMA (F-Core)
-	0019  SuperFSCC with soft UARTs
-	001a  Fastcom SuperFSCC-104-LVDS Sync/Async 2-Port RS-644 Serial PC/104+ Adapter with DMA (F-Core)
-	001b  Fastcom FSCC/4 Sync/Async 4-Port RS-422 Serial PCI Adapter (F-Core)
-	001c  Fastcom SuperFSCC/4-LVDSSync/Async 4-Port RS-644 Serial PCI Adapter with DMA (F-Core)
+	0001  ESCC-PCI-335 Serial PCI Adapter [Fastcom]
+	0002  422/4-PCI-335 Serial PCI Adapter [Fastcom]
+	0003  232/4-1M-PCI Serial PCI Adapter [Fastcom]
+	0004  422/2-PCI-335 Serial PCI Adapter [Fastcom]
+	0005  IGESCC-PCI-ISO/1 Serial PCI Adapter [Fastcom]
+	000a  232/4-PCI-335 Serial PCI Adapter [Fastcom]
+	000b  232/8-PCI-335 Serial PCI Adapter [Fastcom]
+	000f  FSCC Serial PCI Adapter [Fastcom]
+	0010  GSCC Serial PCI Adapter [Fastcom]
+	0011  QSSB Serial PCI Adapter [Fastcom]
+	0014  SuperFSCC Serial PCI Adapter [Fastcom]
+	0015  SuperFSCC-104-LVDS Serial PC/104+ Adapter [Fastcom]
+	0016  FSCC-232 RS-232 Serial PCI Adapter [Fastcom]
+# Software UARTs
+	0017  SuperFSCC-104 Serial PC/104+ Adapter [Fastcom]
+# Software UARTs
+	0018  SuperFSCC/4 Serial PCI Adapter [Fastcom]
+# Software UARTs
+	0019  SuperFSCC Serial PCI Adapter [Fastcom]
+	001a  SuperFSCC-LVDS Serial PCI Adapter [Fastcom]
+# Software UARTs
+	001b  FSCC/4 Serial PCI Adapter [Fastcom]
+# RS-644 Only
+	001c  SuperFSCC/4-LVDS Serial PCI Adapter [Fastcom]
+# Software UARTs
+	001d  FSCC Serial PCI Adapter [Fastcom]
+	001e  SuperFSCC/4 Serial PCIe Adapter [Fastcom]
+	001f  SuperFSCC/4 Serial cPCI Adapter [Fastcom]
+	0020  422/4-PCIe Serial PCIe Adapter [Fastcom]
+	0021  422/8-PCIe Serial PCIe Adapter [Fastcom]
+# RS-644 Only
+	0022  SuperFSCC/4-LVDS Serial PCIe Adapter [Fastcom]
+# Software UARTs
+	0023  SuperFSCC/4 Serial cPCI Adapter [Fastcom]
+# RS-644 Only, Software UARTs
+	0024  SuperFSCC-LVDS Serial PCI Adapter [Fastcom]
+# RS-644 Only, Software UARTs
+	0025  SuperFSCC/4-LVDS Serial PCI Adapter [Fastcom]
 18fb  Resilience Corporation
 1904  Hangzhou Silan Microelectronics Co., Ltd.
 	2031  SC92031 PCI Fast Ethernet Adapter
@@ -14474,6 +16504,8 @@
 	0011  SH7757 PCIe End-Point [PBI]
 	0012  SH7757 PCIe-PCI Bridge [PPB]
 	0013  SH7757 PCIe Switch [PS]
+	0014  uPD720201 USB 3.0 Host Controller
+	0015  uPD720202 USB 3.0 Host Controller
 1919  Soltek Computer Inc.
 1923  Sangoma Technologies Corp.
 	0040  A200/Remora FXO/FXS Analog AFT card
@@ -14511,36 +16543,44 @@
 		1924 5201  SFN4112F-R1
 		1924 5202  SFN4112F-R2
 	0803  SFC9020 [Solarstorm]
-		1924 6200  SFN5122F-R0
-		1924 6201  SFN5122F-R1
-		1924 6202  SFN5122F-R2
-		1924 6204  SFN5122F-R4
-		1924 6205  SFN5122F-R5
-		1924 6206  SFN5122F-R6
-		1924 6207  SFN5122F-R7
-		1924 6210  SFN5322F-R0
-		1924 6211  SFN5322F-R1
-		1924 6217  SFN5322F-R7
-		1924 6227  SFN6122F-R7
-		1924 6237  SFN6322F-R7
-		1924 6501  SFN5802K-R1
-		1924 6511  SFN5814H-R1
-		1924 6521  SFN5812H-R1
-		1924 6a05  SFN5112F-R5
-		1924 6a06  SFN5112F-R6
-		1924 7206  SFN5162F-R6
-		1924 7207  SFN5162F-R7
-		1924 7a06  SFN5152F-R6
-		1924 7a07  SFN5152F-R7
+		1014 0478  2-port 10GbE Low-Latency (R7)
+		1014 0479  2-port 10GbE OpenOnload (R7)
+		1014 04a7  Solarflare 10Gb Low-latency Dual-port HBA (R7)
+		1014 04a8  Solarflare 10Gb Dual-port HBA (R7)
+		103c 2132  Ethernet 10Gb 2-port 570FLR-SFP+ Adapter (R1)
+		103c 2136  Ethernet 10Gb 2-port 570SFP+ Adapter (R7)
+		1924 1201  SFA6902F-R1 SFP+ AOE Adapter
+		1924 6200  SFN5122F-R0 SFP+ Server Adapter
+		1924 6201  SFN5122F-R1 SFP+ Server Adapter
+		1924 6202  SFN5122F-R2 SFP+ Server Adapter
+		1924 6204  SFN5122F-R4 SFP+ Server Adapter
+		1924 6205  SFN5122F-R5 SFP+ Server Adapter
+		1924 6206  SFN5122F-R6 SFP+ Server Adapter
+		1924 6207  SFN5122F-R7 SFP+ Server Adapter
+		1924 6210  SFN5322F-R0 SFP+ Precision Time Synchronization Server Adapter
+		1924 6211  SFN5322F-R1 SFP+ Precision Time Synchronization Server Adapter
+		1924 6217  SFN5322F-R7 SFP+ Precision Time Synchronization Server Adapter
+		1924 6227  SFN6122F-R7 SFP+ Server Adapter
+		1924 6237  SFN6322F-R7 SFP+ Precision Time Synchronization Server Adapter
+		1924 6501  SFN5802K-R1 Mezzanine Adapter
+		1924 6511  SFN5814H-R1 Mezzanine Adapter
+		1924 6521  SFN5812H-R1 Mezzanine Adapter
+		1924 6562  SFN6832F-R2 SFP+ Mezzanine Adapter
+		1924 6a05  SFN5112F-R5 SFP+ Server Adapter
+		1924 6a06  SFN5112F-R6 SFP+ Server Adapter
+		1924 7206  SFN5162F-R6 SFP+ Server Adapter
+		1924 7207  SFN5162F-R7 SFP+ Server Adapter
+		1924 7a06  SFN5152F-R6 SFP+ Server Adapter
+		1924 7a07  SFN5152F-R7 SFP+ Server Adapter
 	0813  SFL9021 [Solarstorm]
-		1924 6100  SFN5121T-R0
-		1924 6102  SFN5121T-R2
-		1924 6103  SFN5121T-R3
-		1924 6104  SFN5121T-R4
-		1924 6902  SFN5111T-R2
-		1924 6904  SFN5111T-R4
-		1924 7104  SFN5161T-R4
-		1924 7904  SFN5151T-R4
+		1924 6100  SFN5121T-R0 10GBASE-T Server Adapter
+		1924 6102  SFN5121T-R2 10GBASE-T Server Adapter
+		1924 6103  SFN5121T-R3 10GBASE-T Server Adapter
+		1924 6104  SFN5121T-R4 10GBASE-T Server Adapter
+		1924 6902  SFN5111T-R2 10GBASE-T Server Adapter
+		1924 6904  SFN5111T-R4 10GBASE-T Server Adapter
+		1924 7104  SFN5161T-R4 10GBASE-T Server Adapter
+		1924 7904  SFN5151T-R4 10GBASE-T Server Adapter
 	1803  SFC9020 Virtual Function [Solarstorm]
 	1813  SFL9021 Virtual Function [Solarstorm]
 	6703  SFC4000 rev A iSCSI/Onload [Solarstorm]
@@ -14557,6 +16597,7 @@
 		1924 0304  SFE4003-A4
 		1924 0500  SFE4005-A0
 	c101  EF1-21022T [EtherFabric]
+192a  BiTMICRO Networks Inc.
 192e  TransDimension
 1931  Option N.V.
 	000c  Qualcomm MSM6275 UMTS chip
@@ -14568,6 +16609,7 @@
 	0363  AHA363-PCIe
 	0364  AHA364-PCIe
 	0367  AHA367-PCIe
+	0370  AHA370-PCIe
 1942  ClearSpeed Technology plc
 	e511  Advance X620 accelerator card
 	e521  Advance e620 accelerator card
@@ -14639,6 +16681,7 @@
 	010b  P1012
 	0110  P1022E
 	0111  P1022
+		1c7f 5200  EB5200
 	0118  P1013E
 	0119  P1013
 	0128  P1010
@@ -14669,8 +16712,8 @@
 1966  Orad Hi-Tec Systems
 	1975  DVG64 family
 	1977  DVG128 family
-# nee Attansic Technology Corp.
-1969  Atheros Communications Inc.
+# nee Atheros Communications, Inc. nee Attansic Technology Corp.
+1969  Qualcomm Atheros
 	1026  AR8121/AR8113/AR8114 Gigabit or Fast Ethernet
 		1043 8304  P5KPL-CM Motherboard
 	1048  Attansic L1 Gigabit Ethernet
@@ -14678,15 +16721,19 @@
 	1062  AR8132 Fast Ethernet
 	1063  AR8131 Gigabit Ethernet
 		1458 e000  GA-G31M-ES2L Motherboard
-	1066  L2c Gigabit Ethernet
-	1067  L1c Gigabit Ethernet
+	1066  Attansic L2c Gigabit Ethernet
+	1067  Attansic L1c Gigabit Ethernet
 	1073  AR8151 v1.0 Gigabit Ethernet
 	1083  AR8151 v2.0 Gigabit Ethernet
 	1090  AR8162 Fast Ethernet
 	1091  AR8161 Gigabit Ethernet
-	2048  L2 Fast Ethernet
+		1043 1477  N56VZ
+	10a0  QCA8172 Fast Ethernet
+	10a1  QCA8171 Gigabit Ethernet
+	2048  Attansic L2 Fast Ethernet
 	2060  AR8152 v1.1 Fast Ethernet
 	2062  AR8152 v2.0 Fast Ethernet
+	e091  Killer E2200 Gigabit Ethernet Controller
 196a  Sensory Networks Inc.
 	0101  NodalCore C-1000 Content Classification Accelerator
 	0102  NodalCore C-2000 Content Classification Accelerator
@@ -14709,7 +16756,7 @@
 		1043 8460  P8P67 Deluxe Motherboard
 	2363  JMB363 SATA/IDE Controller
 		1043 81e4  P5B [JMB363]
-		1458 b000  GA-EP45-DS5 Motherboard
+		1458 b000  Motherboard
 		1849 2363  Motherboard (one of many)
 	2364  JMB364 AHCI Controller
 	2365  JMB365 AHCI/IDE
@@ -14745,6 +16792,7 @@
 	890a  Virtual HBA Device
 199f  Auvitek
 	8501  AU85X1 PCI REV1.1
+	8521  AU8521 TV card
 # nee ServerEngines Corp.
 19a2  Emulex Corporation
 	0200  BladeEngine 10Gb PCI-E iSCSI adapter
@@ -14806,6 +16854,7 @@
 1a08  Sierra semiconductor
 	0000  SC15064
 1a0e  DekTec Digital Video B.V.
+	083f  DTA-2111 VHF/UHF Modulator
 1a17  Force10 Networks, Inc.
 	8002  PB-10GE-2P 10GbE Security Card
 1a1d  GFaI e.V.
@@ -14829,9 +16878,27 @@
 	0200  TILE-Gx36 processor
 1a4a  SLAC National Accelerator Lab PPA-REG
 	1000  MCOR Power Supply Controller
+	1010  AMC EVR - Stockholm Timing Board
 	2000  PGPCard - 4 Lane
 	2010  PCI-Express EVR
 1a51  Hectronic AB
+1a55  Rohde & Schwarz DVS GmbH
+	0010  SDStationOEM
+	0011  SDStationOEM II
+	0020  Centaurus
+	0021  Centaurus II
+	0022  Centaurus II LT
+	0030  CLIPSTER-VPU 1.x (Hugo)
+	0040  Hydra Cinema (JPEG)
+	0050  CLIPSTER-VPU 2.x (DigiLab)
+	0060  CLIPSTER-DCI 2.x (HydraX)
+	0061  Atomix
+	0062  Atomix LT
+	0063  Atomix HDMI
+	0064  Atomix STAN
+	0065  Atomix HDMI STAN
+	0070  RED Rocket
+	0090  CinePlay
 1a56  Bigfoot Networks, Inc.
 1a57  Highly Reliable Systems
 1a58  Razer USA Ltd.
@@ -14850,7 +16917,7 @@
 		1a78 0037  FlashMAX PCIe SSD [rev 3D]
 		1a78 0038  FlashMAX PCIe SSD [rev 4]
 		1a78 0039  FlashMAX PCIe SSD [rev 4D]
-		1a78 0040  FlashMAX PCIe SSD [LP Z1]
+	0040  FlashMAX II
 1a84  Commex Technologies
 	0001  Vulcan SP HT6210 10-Gigabit Ethernet (rev 02)
 1a88  MEN Mikro Elektronik
@@ -14865,14 +16932,21 @@
 1aae  Global Velocity, Inc.
 1ab6  CalDigit, Inc.
 	6201  RAID Card
+# Parallels VM virtual devices
+1ab8  Parallels, Inc.
+	4000  Virtual Machine Communication Interface
+	4005  Accelerated Virtual Video Adapter
+	4006  Memory Ballooning Controller
 1ab9  Espia Srl
-1acc  Point of View B.V
+1acc  Point of View BV
 1ad7  Spectracom Corporation
 	8000  TSync-PCIe Time Code Processor
 	9100  TPRO-PCI-66U Timecode Reader/Generator
 1ade  Spin Master Ltd.
 	1501  Swipetech barcode scanner
 1ae0  Google, Inc.
+1ae7  First Wise Media GmbH
+	0520  HFC-S PCI A [X-TENSIONS XC-520]
 1ae8  Silicon Software GmbH
 	0a40  microEnable IV-BASE x1
 	0a41  microEnable IV-FULL x1
@@ -14900,10 +16974,15 @@
 	1001  Virtio block device
 	1002  Virtio memory balloon
 	1003  Virtio console
+	1004  Virtio SCSI
+	1005  Virtio RNG
+	1009  Virtio filesystem
 1af5  Netezza Corp.
 1afa  J & W Electronics Co., Ltd.
 1b03  Magnum Semiconductor, Inc,
 	6100  DXT/DXTPro Multiformat Broadcast HD/SD Encoder/Decoder/Transcoder
+1b08  MSC Vertriebs GmbH
+1b0a  Pegatron
 1b13  Jaton Corp
 1b1a  K&F Computing Research Co.
 	0e70  GRAPE
@@ -14927,6 +17006,7 @@
 	0601  NumaChip N601
 	0602  NumaChip N602
 1b4b  Marvell Technology Group Ltd.
+	0640  88SE9128 SATA III 6Gb/s RAID Controller
 	9120  88SE9120 SATA 6Gb/s Controller
 	9123  88SE9123 PCIe SATA 6.0 Gb/s controller
 	9125  88SE9125 PCIe SATA 6.0 Gb/s controller
